Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!Close

CVE-2022-3109

Published: 16 December 2022

An issue was discovered in the FFmpeg package, where vp3_decode_frame in libavcodec/vp3.c lacks check of the return value of av_malloc() and will cause a null pointer dereference, impacting availability.

Notes

AuthorNote
eslerm
c4d63db adds av_malloc check for vp6

Priority

Medium

Cvss 3 Severity Score

7.5

Score breakdown

Status

Package Release Status
ffmpeg
Launchpad, Ubuntu, Debian
lunar Not vulnerable

bionic
Released (7:3.4.11-0ubuntu0.1+esm1)
Available with Ubuntu Pro
focal
Released (7:4.2.7-0ubuntu0.1+esm1)
Available with Ubuntu Pro
kinetic Not vulnerable
(7:5.1.1-1ubuntu1)
trusty Ignored
(end of standard support)
upstream
Released (7:5.1-1)
xenial
Released (7:2.8.17-0ubuntu0.1+esm5)
Available with Ubuntu Pro
jammy
Released (7:4.4.2-0ubuntu0.22.04.1+esm1)
Available with Ubuntu Pro
mantic Not vulnerable

Patches:
upstream: https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/656cb0450aeb73b25d7d26980af342b37ac4c568

Severity score breakdown

Parameter Value
Base score 7.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H